<template>
  <div>
    <p>{{ msg }}</p>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "HelloWorld",
  data() {
    return {
      msg: "",
    };
  },
  methods: {
    async getMessage() {
      console.log('Before Axios')
      await axios
        .get("/")
        .then((res) => {
          console.log('Data')
          this.msg = res.data;
        })
        .catch((error) => {
          console.error(error);
        });
        console.log('After Axios')
    },
  },
  created() {
    this.getMessage();
  },
};
</script>